/*
 * (c) Bernd Müller & Harald Wehr, www.jpainfo.de
 */
package de.jpainfo.test;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

import de.jpainfo.model.Buchung;
import de.jpainfo.model.Konto;


public class Lesen {
	
		@SuppressWarnings("unused")
		public static void main(String[] args) throws Exception {
		
		Provider.select("eclipselink");
		
		EntityManagerFactory emf = Persistence.createEntityManagerFactory("bank", DB.postgresql);
		EntityManager em = emf.createEntityManager();

		em.getTransaction().begin();
		Konto konto = em.find(Konto.class, 1);
		System.out.println("nach find()");
		for (Buchung b : konto.getBuchungen()) {
			System.out.println(b);
		}
		// geht schief, da unmodifiable
		//konto.getBuchungen().add(em.find(Buchung.class, 2));
		em.getTransaction().commit();

		
		em.getTransaction().begin();
		Buchung buchung = em.find(Buchung.class, 2);
		System.out.println("nach find(Buchung, ...)");
//		System.out.println("Konto für Buchung: " + buchung.getKonto());
		em.getTransaction().commit();


		em.clear();
		emf.close();
	}
}
