/*
 * (c) Bernd Müller & Harald Wehr, www.jpainfo.de
 */
package de.jpainfo.test;

import java.math.BigDecimal;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

import de.jpainfo.model.Buchung;
import de.jpainfo.model.Buchungsart;
import de.jpainfo.model.Konto;


public class Schreiben {
	
		public static void main(String[] args) throws Exception {
		
		Provider.select("eclipselink");
		
		EntityManagerFactory emf = Persistence.createEntityManagerFactory("bank");
		EntityManager em = emf.createEntityManager();

		
		em.getTransaction().begin();
		Konto konto = new Konto();
		Buchung buchung = new Buchung(new BigDecimal("590.00"), "12.08.2011", "Miete", Buchungsart.SOLL);
		
		 /*// gehoert zusammen, aber nicht hier her, sondern ins Konto
		konto.getBuchungen().add(buchung);
		buchung.setKonto(konto);
		*/
		
		konto.addBuchung(buchung);
		em.persist(konto);
		
		konto.addBuchung(new Buchung(new BigDecimal("499.00"), "13.08.2011", "Rechnung Nr 0815", Buchungsart.SOLL));
		konto.addBuchung(new Buchung(new BigDecimal("1433.52"), "15.07.2011", "Gehalt Juli", Buchungsart.HABEN));
		konto.addBuchung(new Buchung(new BigDecimal("50.00"), "22.08.2011", "Auszahlung Geldautomat", Buchungsart.SOLL));
		konto.addBuchung(new Buchung(new BigDecimal("27.99"), "3.08.2011", "Rechnung Nr 4711", Buchungsart.SOLL));
		konto.addBuchung(new Buchung(new BigDecimal("1433.52"), "15.08.2011", "Gehalt August", Buchungsart.HABEN));
		em.getTransaction().commit();
		System.out.println("Anzahl Buchung für Konto: " + konto.getBuchungen().size());

		em.clear();
		emf.close();
	}
}
